<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php imwb_videopress_get_blogtitle(); ?></title>
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
   <link href="<?php echo get_template_directory_uri(); ?>/assets/jRating.jquery.css" rel="stylesheet">
	<!--[if !IE]>-->
	<meta name="viewport" content="initial-scale=1.0,width=device-width">
	<!--<![endif]-->
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php 
   $favicon = imwb_videopress_get_option('faviconurl');
   if(empty($favicon)) 
      echo '<link rel="Shortcut Icon" href="'.get_template_directory_uri().'/images/favicon.ico" type="image/x-icon" />';
   else
      echo '<link rel="Shortcut Icon" href="'.$favicon.'" type="image/x-icon" />';
?>	
<?php 
   wp_head(); 

   if(is_single()) {
?>   
   <link href="<?php echo get_template_directory_uri(); ?>/assets/video-js.css" rel="stylesheet">
   <script src="<?php echo get_template_directory_uri(); ?>/assets/video.min.js"></script>
<?php   
   imwb_videopress_inc_views();
   
   }   
?>
<script src="<?php echo get_template_directory_uri(); ?>/assets/jRating.jquery.min.js"></script>
<script>
   jQuery(document).ready(function($) {
<?php if(imwb_videopress_get_option('homesidebar') == '0')  { ?>	

	   var wrapper_width = $('#wrapper').width();
		wrapper_width = Math.floor(wrapper_width / 230) * 230;
		$('#videos_wrapper').css('width', wrapper_width);
		$('#header').css('width', wrapper_width);
		$('#videos_wrapper').css('float', 'none');
		$('#videos_wrapper').css('margin', '0 auto');
   
<?php } ?>      
      $(".rating").jRating({
         phpPath: imwbvp_ajaxurl,
         bigStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/stars.png',
         smallStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/small.png',
         type: 'big',
         length : 5,
         rateMax : 5,
         step: true,
        <?php if(!is_single()) { ?> 
         isDisabled: true,
        <?php } ?>
         showRateInfo:false
      });  
      
      $(".widget_rating").jRating({
         phpPath: imwbvp_ajaxurl,
         bigStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/stars.png',
         smallStarsPath: '<?php echo get_template_directory_uri(); ?>/assets/icons/small.png',
         type: 'big',
         length : 5,
         rateMax : 5,
         step: true,
         isDisabled: true,
         showRateInfo:false
      });  
   });
</script>

<script src="<?php echo get_template_directory_uri(); ?>/scripts/script.js" type="text/javascript"></script>   
<?php 
$pmColors = new CSS_Color(imwb_videopress_get_option('pagemenubgcol'));
$cmColors = new CSS_Color(imwb_videopress_get_option('catmenubgcol'));
$sbColors = new CSS_Color(imwb_videopress_get_option('homesidebarbgcol'));
?>
<style>
<?php if (imwb_videopress_get_option('headerbgcol') != '#') { ?>
#header-wrapper  {background-color: <?php echo imwb_videopress_get_option('headerbgcol'); ?>; }
<?php } ?>
.page-menu, .page-menu ul li > ul.children, .page-menu ul li > ul.sub-menu { background-color: #<?php echo $pmColors->bg[0]; ?>;
             border-left: 1px solid #<?php echo $pmColors->bg['-2'] ?>;
             border-right: 1px solid #<?php echo $pmColors->bg['-2'] ?>;
             border-bottom: 1px solid #<?php echo $pmColors->bg['-2'] ?>;}

.page-menu li:hover { background-color: #<?php echo $pmColors->bg['-3']; ?>; color: #<?php echo $pmColors->fg['-3']; ?>;}
.page-menu li a {	color: <?php echo imwb_videopress_get_option('pagemenutxtcol'); ?>;}

#wrapper {
<?php if (imwb_videopress_get_option('contentbdrcol') != '#') { ?>
border: 1px solid <?php echo imwb_videopress_get_option('contentbdrcol'); ?>; 
<?php }

if (imwb_videopress_get_option('contentbgcol') != '#') { ?>
background-color: <?php echo imwb_videopress_get_option('contentbgcol'); ?>;
<?php } ?>
}
<?php if (imwb_videopress_get_option('homesidebarbgcol') != '#') { ?>
#content_sidebar {background-color: #<?php echo $sbColors->bg[0]; ?>;}
#content_sidebar ul ul li a:hover, #widgets_404 ul ul li a:hover{background-color:  #<?php echo $sbColors->bg['-2']; ?>;}
#content_sidebar ul ul li a, #widgets_404 ul ul li a { color: #<?php echo $sbColors->fg['0']; ?>;}
<?php } 
if (imwb_videopress_get_option('homesidebarbdrcol') != '#') {
?>
#content_sidebar {border: 1px solid <?php echo imwb_videopress_get_option('homesidebarbdrcol'); ?>;}
<?php } ?>
#footer-wrapper  {border-top: 1px solid <?php echo imwb_videopress_get_option('footerbdrcol'); ?>; background-color: <?php echo imwb_videopress_get_option('footerbgcol'); ?>; }

<?php if(imwb_videopress_get_option('hidecatmenu') == 'N')   { ?>
<?php if(imwb_videopress_get_option('hideheaderbdr') == 'N')   { ?>
#header-wrapper { border-bottom: 2px solid #<?php echo $cmColors->bg['-2'] ?>; }
<?php } else { ?>
#navigation { border-bottom: 1px solid #<?php echo $cmColors->bg['-2'] ?>; }
<?php } ?>
#navigation { background-color: #<?php echo $cmColors->bg[0]; ?>;
              border-top: 1px solid #<?php echo $cmColors->bg['-2'] ?>;
              border-right: 1px solid #<?php echo $cmColors->bg['-2'] ?>;
              border-left: 1px solid #<?php echo $cmColors->bg['-2'] ?>; 
}
#navigation li {border-right: 1px solid #<?php echo $cmColors->bg['-2'] ?>;}
#navigation ul li > ul.children {background-color: #<?php echo $cmColors->bg[0]; ?>; border: 1px solid #<?php echo $cmColors->bg['-2'] ?>; }
#navigation li:hover { background-color: #<?php echo $cmColors->bg['-2']; ?>; color: #<?php echo $cmColors->fg['-2']; ?>;}                  
#navigation li a { color: <?php echo imwb_videopress_get_option('catmenutxtcol'); ?>;}
    
 <?php } else { ?>
 
 #navigation { padding-bottom: 5px; }
 
 <?php } ?>
.video_entry { border: 1px solid <?php echo imwb_videopress_get_option('ptcontentbdrcol'); ?>; }
#page_title { color: <?php echo imwb_videopress_get_option('titlecol'); ?>;}
#navigation li.current-cat a{ color: <?php echo imwb_videopress_get_option('catmenuseltxtcol'); ?>;}
.widget-title { background-color: <?php echo imwb_videopress_get_option('widgettitlebgcol'); ?>; color: <?php echo imwb_videopress_get_option('widgettitletxtcol'); ?>;}
</style>
</head>
<!--[if lt IE 7 ]>      <body <?php body_class("ie6"); ?> > <![endif]-->
   <!--[if IE 7 ]>      <body <?php body_class("ie7"); ?> >          <![endif]-->
   <!--[if IE 8 ]>      <body <?php body_class("ie8"); ?> >          <![endif]-->
   <!--[if IE 9 ]>      <body <?php body_class("ie9"); ?> >          <![endif]-->
   <!--[if (gt IE 9) ]> <body <?php body_class("modern"); ?> >       <![endif]-->
   <!--[!(IE)]><!-->    <body <?php body_class("notIE modern"); ?> > <!--<![endif]-->
<div id="header-wrapper">
   <div id="header" class="clearfix">
      <?php if(imwb_videopress_get_option('hidepagemenu') == 'N') {
         $opts = array('sort_column' => 'menu_order', 'menu_class' => 'page-menu', 'exclude' => imwb_videopress_get_option('excludepages'));
         if(imwb_videopress_get_option('homepagemenu') == 'N') 
            $opts['show_home'] = imwb_videopress_get_option('homepagemenutxt');
            
         if(imwb_videopress_get_option('pagemenutype') == '0')
            wp_page_menu($opts ); 
         else      
            wp_nav_menu( array( 'theme_location' => 'cvp_page_menu', 'container' => 'div', 'container_class' => 'page-menu', 'fallback_cb' => false ) );
       }
      ?>
      <?php imwb_videopress_get_logo() ?>
   </div>
   <div id="navigation">
   <?php if(imwb_videopress_get_option('hidecatmenu') == 'N')   { ?>
    <ul>
    <?php if(imwb_videopress_get_option('ravcatmenu') == 'N')   { ?>
       <li class="cat-item<?php echo (imwb_videopress_list_order() == 'rav' && is_home()) ? ' current-cat' : '';?>">
          <a title="<?php echo imwb_videopress_get_option('ravcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=rav"><?php echo imwb_videopress_get_option('ravcatmenutxt');?></a>
       </li>
    <?php }
       if(imwb_videopress_get_option('mvvcatmenu') == 'N')   { ?>
       <li class="cat-item<?php echo (imwb_videopress_list_order() == 'mvv' && is_home()) ? ' current-cat' : '';?>">
          <a title="<?php echo imwb_videopress_get_option('mvvcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=mvv"><?php echo imwb_videopress_get_option('mvvcatmenutxt');?></a>
       </li>
    <?php } 
       if(imwb_videopress_get_option('trvcatmenu') == 'N')   { ?>
          <li class="cat-item<?php echo (imwb_videopress_list_order() == 'trv' && is_home()) ? ' current-cat' : '';?>">
             <a title="<?php echo imwb_videopress_get_option('trvcatmenutxt');?>" href="<?php bloginfo( 'url' );?>?so=trv"><?php echo imwb_videopress_get_option('trvcatmenutxt');?></a>
          </li>
       <?php } 
       if(imwb_videopress_get_option('othercatmenu') == 'N')   { ?>
          <li class="cat-item drop-down">
             <a title="<?php echo imwb_videopress_get_option('othercatmenutxt');?>" href=""><?php echo imwb_videopress_get_option('othercatmenutxt');?><span></span></a>
          <ul class="children">
       <?php 
          $currentcategory = "";
          if (is_single()){
             $cat = get_the_category();
             $catId = $cat[0]->cat_ID;
             $currentcategory = '&current_category='.$catId;
          }
          $exclude = imwb_videopress_get_option('excludecats');
          wp_list_categories('depth=0&orderby=name&use_desc_for_title=1&title_li='.$currentcategory.'&exclude='.$exclude);
          
       ?></ul></li> 
       <?php
       }
      ?>
   </ul> 
<?php } ?>
<?php if(imwb_videopress_get_option('hidesearch') == 'N') { ?>
  <div id="search"> <?php get_search_form(); ?> </div>
<?php } ?>
   </div>
</div>